%define upstream_name    App-Bootstrap-Perl
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Bootstrap Perl inclusive CPAN from git
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
bootstrap-perl can compile and setup a complete Perl environment from git,
including the initial CPAN setup with distroprefs to ensure a completely
unattended installation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/bootstrap-perl
/usr/share/man/man1/bootstrap-perl.1.xz



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-4.mga4
+ Revision: 509147
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 363056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 shlomif <shlomif> 0.70.0-2.mga3
+ Revision: 309957
- Add a description

* Wed Oct 24 2012 shlomif <shlomif> 0.70.0-1.mga3
+ Revision: 309811
- imported package perl-App-Bootstrap-Perl


* Wed Oct 24 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
